
Redmine - Feature #8643

Allow rdm-mailhandler with unknown-user=create to attach the user to a specific group instead of

creating a "rightless" user

2011-06-17 18:47 - Heiko Wundram

Status: Closed Start date: 2011-06-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

When rdm-mailhandler creates a new user through the "unknown-user=create" action, the user is basically rightless for any project

that his mail is inserted into. I'd be spectacular if a new user created through "--unknown-user=create" is added to a

(command-line-?)specified group immediately.

Related issues:

Is duplicate of Redmine - Feature #13340: Mail handler: option to add created... Closed

History

#1 - 2011-06-18 12:51 - Etienne Massip

- Category set to Email receiving

#2 - 2011-06-20 14:55 - Heiko Wundram

- File mail-create-group.diff added

I've finished a small implementation of the requested functionality, which allows rdm-mailhandler.rb to accept a new parameter informing the system

to put a new user into a specific group on creation. The attached patch implements just this.

It'd be nice if functionality like this could in some way or another be added to the tree.

#3 - 2015-04-05 19:04 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

The same feature "--default-group" option was implemented by #13340 (Redmine 2.3.0).

I close this issue as duplicate.

Thank you for submitting this.

#4 - 2015-04-05 19:04 - Go MAEDA

- Is duplicate of Feature #13340: Mail handler: option to add created user to default group added

Files

mail-create-group.diff 3.44 KB 2011-06-20 Heiko Wundram
